org.codehaus.groovy.runtime.dgmimpl.arrays

## Class ArrayGetAtMetaMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
      - - org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod
        - - org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayGetAtMetaMethod

- All Implemented Interfaces:
    java.lang.Cloneable
  Direct Known Subclasses:
    BooleanArrayGetAtMetaMethod, ByteArrayGetAtMetaMethod, CharacterArrayGetAtMetaMethod, DoubleArrayGetAtMetaMethod, FloatArrayGetAtMetaMethod, IntegerArrayGetAtMetaMethod, LongArrayGetAtMetaMethod, ObjectArrayGetAtMetaMethod, ShortArrayGetAtMetaMethod

      public abstract class ArrayGetAtMetaMethod
      extends ArrayMetaMethod

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

      `INTEGER_CLASS, INTEGER_CLASS_ARR`

    - ### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ArrayGetAtMetaMethod()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`

    - ### Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

      `getModifiers, normaliseIndex`

    - ### Methods inherited from class org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod

      `createPojoCallSite`

    - ### Methods inherited from class groovy.lang.MetaMethod

      `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getMopName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

    - ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrayGetAtMetaMethod

          protected ArrayGetAtMetaMethod()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in class `MetaMethod`